package tutorialJava.examenesEntrenamiento.examen20230902;

public class Ejercicio02_NumeroEuler {

	public static void main(String[] args) {
		int i = 0;
		double e = 0;
		while ( Math.abs(Math.E - e) > 0.0000001 ) {
			e += 1f/factorialRecursivo(i);
			i++;
		}
		System.out.println("Mi E calculado: " + e);
	}

	
	public static int factorialRecursivo(int n) {
		if (n <= 1) {
			return 1;
		}
		return n * factorialRecursivo(n - 1);
	}

}
